Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004333TestLinkReportspublic2011-03-18 00:422011-07-02 13:48
ReporterJP 
Assigned Tokinow 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 (Prague) 
Fixed in Version1.9.3 (2011 Q3 - bug fixing) 
Summary0004333: On General Test Plan Metrics % complete did not round
DescriptionFor one of our builds we got 0.93000000000001 for completed [%]
Steps To ReproduceNot sure why it just happens with one build so not sure what steps to provide!?!
TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon Capture.PNG [^] (15,497 bytes) 2011-03-18 00:42


? file icon results.class.php [^] (66,494 bytes) 2011-03-26 02:43

- Relationships
child of 0004337closedfman Availables Fixes for 1.9.2 (Prague) 

-  Notes
(0013897)
fman (administrator)
2011-03-18 09:44

>> Not sure why it just happens with one build
>> so not sure what steps to provide!?!
very interesting
(0013902)
JP (reporter)
2011-03-18 16:58

An update...now it's over 1% and it's rounding just fine for that build too. Maybe it's a certain threshold (say below 1%) that it was barfing on.

Anycase, it's not a big issue. Can close it if nothing can be done. Just wanted to bring it to someone's attention just in case the code needs to be looked at again. Thanks.
(0014287)
kinow (reporter)
2011-03-26 02:41

Hello.

I created a project, with a plan and a suite with 536 test cases assigned for my plan. After that I created a build and executed 5 tests marking them as passed. And in General Test Plan Metrics the error occurred to me too.

I'm attaching the file results.class.php with a small modification. Just added number_format(..., 2) in line 576. Could somebody verify if it's correct, please?

Cheers, Bruno.
(0014299)
fman (administrator)
2011-03-26 08:21

@JP
can you test code posted and give us feedback ?
(0014331)
JP (reporter)
2011-03-28 19:21

The fix works. Thanks for the quick turnaround.
(0014354)
fman (administrator)
2011-03-29 16:53

http://gitorious.org/testlink-ga/testlink-code/commit/7a02489f26d200b30aacd215b43b745912c7f5c0 [^]
(0015406)
fman (administrator)
2011-07-02 13:48

1.9.3 released

- Issue History
Date Modified Username Field Change
2011-03-18 00:42 JP New Issue
2011-03-18 00:42 JP File Added: Capture.PNG
2011-03-18 09:44 fman Note Added: 0013897
2011-03-18 09:45 fman Summary On General Test Plan Metrics % complete did not round! => On General Test Plan Metrics % complete did not round
2011-03-18 16:58 JP Note Added: 0013902
2011-03-19 08:49 fman Assigned To => kinow
2011-03-19 08:49 fman Status new => assigned
2011-03-26 02:41 kinow Note Added: 0014287
2011-03-26 02:43 kinow File Added: results.class.php
2011-03-26 08:21 fman Note Added: 0014299
2011-03-26 08:21 fman Status assigned => feedback
2011-03-28 19:21 JP Note Added: 0014331
2011-03-28 19:21 JP Status feedback => assigned
2011-03-29 16:53 fman Note Added: 0014354
2011-03-29 16:53 fman Status assigned => resolved
2011-03-29 16:53 fman Fixed in Version => 1.9.3 (2011 Q3 - bug fixing)
2011-03-29 16:53 fman Resolution open => fixed
2011-03-29 16:54 fman Relationship added child of 0004337
2011-07-02 13:48 fman Note Added: 0015406
2011-07-02 13:48 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker